Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class PrivilegedActionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.PrivilegedActionException

All Implemented Interfaces:
  Serializable

    public class PrivilegedActionException

extends Exception

This exception is thrown by `doPrivileged(PrivilegedExceptionAction)` and `doPrivileged(PrivilegedExceptionAction, AccessControlContext context)` to indicate that the action being performed threw a checked exception. The exception thrown by the action can be obtained by calling the `getException` method. In effect, an `PrivilegedActionException` is a "wrapper" for an exception thrown by a privileged action.

As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "exception thrown by the privileged computation" that is provided at construction time and accessed via the `getException()` method is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy method."

See Also:
  `PrivilegedExceptionAction`, `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction,AccessControlContext)`, Serialized Form

Constructor Summary
`PrivilegedActionException(Exception exception)` Constructs a new PrivilegedActionException "wrapping" the specific Exception.

Method Summary
`Throwable` | `getCause()` Returns the the cause of this exception (the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`).
`Exception` | `getException()` Returns the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
`String` | `toString()` Returns a short description of this throwable.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrivilegedActionException

    public PrivilegedActionException(Exception exception)

  Constructs a new PrivilegedActionException "wrapping" the specific Exception.

  Parameters:
    `exception` - The exception thrown

Method Detail

### getException

    public Exception getException()

  Returns the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.

  This method predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

  Returns:
    the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`.
  See Also:
    `PrivilegedExceptionAction`, `AccessController.doPrivileged(PrivilegedExceptionAction)`, `AccessController.doPrivileged(PrivilegedExceptionAction, AccessControlContext)`

### getCause

    public Throwable getCause()

  Returns the the cause of this exception (the exception thrown by the privileged computation that resulted in this `PrivilegedActionException`).

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the cause of this exception.
  Since:
    1.4

### toString

    public String toString()

  Description copied from class: `Throwable`
  Returns a short description of this throwable. The result is the concatenation of:
  - the name of the class of this object
  - ": " (a colon and a space)
  - the result of invoking this object's `Throwable.getLocalizedMessage()` method
  If `getLocalizedMessage` returns `null`, then just the class name is returned.

  Overrides:
    `toString` in class `Throwable`
  Returns:
    a string representation of this throwable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2010, Oracle and/or its affiliates. All rights reserved.